#ifndef run_h
#define run_h

#include "context.h"
#include "gen_alloc.h"

typedef struct {
    unsigned long len;
    Context x;
} Run;

GEN_ALLOC_typedef(Runs, Run, s, len, a)

extern void Runs_dump(void);

extern int Runs_ready(Runs *runs, unsigned int n);
extern int Runs_readyplus(Runs *runs, unsigned int more);
extern int Runs_append(Runs *runs, const Run *run);

#endif
